Skip to main content
24.02
日本語は機械翻訳による参考訳です。内容に矛盾や不一致があった場合には、英語の内容が優先されます。

グループ内のユーザーの未読通知を取得する

GET /accounts/{account_id}/core/v1/groups/{group_id}/users/{user_id}/unreadNotifications/{unreadNotification_id}

JSONレスポンス本文に格納されている未読通知APIリソースを返します。

パラメータ

Name を入力します 入力 必須 説明

account_id

string

path(パス)

True

包含するアカウントリソースのID

  • 例:{{.Account}}

group_id

string

path(パス)

True

包含するグループリソースのID

user_id

string

path(パス)

True

含まれるユーザーリソースのID

unreadNotification_id

string

path(パス)

True

リストするunreadNotificationコレクションのID

応答

Status: 200, Returns the stored Unread Notification API resource in the JSON response body.
Name を入力します 必須 説明

を入力します

string

True

リソースのメディアタイプ。定義された値は次のとおりです:

  • "application/astra-unreadNotification"

バージョン

string

True

リソースのバージョン。定義された値は次のとおりです:

  • "1.0"

ID

string

True

リソースのグローバル一意識別子。定義された値は次のとおりです:

  • UUIDv4スキーマに準拠

notificationID

string

True

通知IDを含むJSON文字列。この通知は、マークを作成したユーザーによって既読としてマークされます。定義された値は次のとおりです:

  • Astra識別子スキーマに準拠

sequenceCount

番号

True

通知IDで指定された通知に関連付けられたシーケンスカウントを含むJSON番号。

severity

string

True

イベントの深刻度を示す以下のいずれかの値を含むJSON文字列。定義された値は次のとおりです:

  • 「クリア済み」 - 以前に報告された、ある状態を説明する事象がもはやアクティブではないことを示します。重大度が「クリア済み」のイベントは、同じサマリーと相関IDを使用してマッチングできるようにします

  • 「不確定」 - 重大度を判断できないことを示す

  • "informational" - 予期される正常な状態変化を示す(X.733では定義されていない)

  • 「警告」 - 重大な影響が出る前に、サービスに影響を与える可能性のある、または差し迫った障害が検出されたことを示します

  • 「critical」 - サービスに影響を与える事態が発生し、直ちに是正措置が必要であることを示します。

メタデータ

"type_astra_metadata"

True

リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:

  • Astraメタデータスキーマに準拠

回答例
{
  "type": "application/astra-unreadNotification",
  "version": "1.0",
  "id": "10df997b-629e-50f8-bc5f-a18b9a4ac5f6",
  "notificationID": "4080cf5f-2261-4130-b8fb-8432e2e553e6",
  "sequenceCount": 48923,
  "severity": "warning",
  "metadata": {
    "labels": [],
    "creationTimestamp": "2022-10-06T20:58:16.305662Z",
    "modificationTimestamp": "2022-10-06T20:58:16.305662Z",
    "createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
  }
}

応答

Status: 401, Unauthorized
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

回答例
{
  "type": "https://astra.netapp.io/problems/3",
  "title": "Missing bearer token",
  "detail": "The request is missing the required bearer token.",
  "status": "401"
}

応答

Status: 400, Bad request
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

invalidParams

配列["invalidParams"]

False

無効なクエリパラメータのリスト

回答例
{
  "type": "https://astra.netapp.io/problems/5",
  "title": "Invalid query parameters",
  "detail": "The supplied query parameters are invalid.",
  "status": "400"
}

応答

Status: 403, Forbidden
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

回答例
{
  "type": "https://astra.netapp.io/problems/11",
  "title": "Operation not permitted",
  "detail": "The requested operation isn't permitted.",
  "status": "403"
}

エラー

Status: 404, Not found
Name を入力します 必須 説明

を入力します

string

True

タイトル

string

True

詳細

string

True

ステータス

string

True

correlationID

string

False

エラー応答の例
{
  "type": "https://astra.netapp.io/problems/2",
  "title": "Collection not found",
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404"
}

用語の意味

定義を参照

type_astra_label

Name を入力します 必須 説明

名前

string

True

Value

string

True

type_astra_metadata

リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:

  • Astraメタデータスキーマに準拠

Name を入力します 必須 説明

ラベル

配列["type_astra_label"]

True

作成タイムスタンプ

string

True

modificationTimestamp

string

True

作成者

string

True

modifiedBy

string

False

invalidParams

Name を入力します 必須 説明

名前

string

True

無効なクエリパラメータの名前

理由

string

True

クエリパラメータが無効な理由

Close
Try it out

Sign in with your NetApp Cloud Central credentials.

Try this API

Parameters

Headers

Body

Code

Response